import { ElementRef } from '@angular/core';
import { ComponentProps, ElementType } from 'react';
import * as i0 from "@angular/core";
export declare class ReactDirective<Comp extends ElementType> {
    private host;
    component: Comp;
    props: ComponentProps<Comp>;
    private root;
    constructor(host: ElementRef);
    ngOnChanges(): Promise<void>;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ReactDirective<any>, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<ReactDirective<any>, "[cjReact]", never, { "component": "component"; "props": "props"; }, {}, never>;
}
